OpenVDB 7.0.0

Static Public Member Functions | List of all members
GradientNormSqrd< UniformScaleMap, GradScheme > Struct Template Reference

Partial template specialization of GradientNormSqrd. More...

`#include <Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static Accessor::ValueType | result (const UniformScaleMap &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static StencilT::ValueType | result (const UniformScaleMap &map, const StencilT &stencil)

## Detailed Description

### template<BiasedGradientScheme GradScheme>
struct openvdb::v7_0::math::GradientNormSqrd< UniformScaleMap, GradScheme >

Partial template specialization of GradientNormSqrd.

## Member Function Documentation

## ◆ result() [1/2]

static Accessor::ValueType result | ( | const UniformScaleMap & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ result() [2/2]

static StencilT::ValueType result | ( | const UniformScaleMap & | map,
|  | const StencilT & | stencil
| ) |  |
| inline static

The documentation for this struct was generated from the following file:

- Operators.h